Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
Class LayoutFactory

Constructor Summary
`LayoutFactory(Class klass)`
`LayoutFactory(Class klass, boolean leaf)`

Method Summary
`static Container` | `getLayoutTarget(Container parent)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### LayoutFactory

    public LayoutFactory(Class klass)

### LayoutFactory

    public LayoutFactory(Class klass, boolean leaf)

Method Detail

### getLayoutTarget

    public static Container getLayoutTarget(Container parent)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)